import { ACTION_TYPES } from "./JobData";
import { Job, JobEntry } from "../../store/deployApi";

export const isBatchJob = (type: Job["action"]) =>
  type === ACTION_TYPES.BATCH_DEPLOY || type === ACTION_TYPES.BATCH_UNDEPLOY;

export const getNoOfIOCs = (jobs?: JobEntry[]) =>
  [...new Set(jobs?.map((job) => job.iocId))].length;

export const getNoOfHosts = (jobs?: JobEntry[]) =>
  [...new Set(jobs?.map((job) => job?.host?.hostId))].length;
